List OTP Registrations
GET
/api/v1/otp/{username}
const url = 'https://api.spartanauth.com/api/v1/otp/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.spartanauth.com/api/v1/otp/exampleLists the OTP methods registered for an account. Authenticated users can view full registration details for themselves or users in a sector they administer, while unauthenticated login flows can supply a username and sector to receive obfuscated destination details.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” username
required
string
Query Parameters
Section titled “Query Parameters ” transactionID
string
sectorID
string
Responses
Section titled “ Responses ”A successful response.
Media type application/json
object
registrations
Array<object>
object
ID
string
DisplayName
string
Validated
boolean
Type
string
Example
{ "registrations": [ { "Type": "none" } ]}default
Section titled “default ”An unexpected error response.
Media type application/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}